Subject: [bug#28055] [WIP] Add knot tests

From: Julien Lepiller <[email-masked]>
Date: Wed, 16 Aug 2017 15:02:17 +0200

Hm... I followed the example of mail.scm and implemented the protocol. I also thought a pure scheme implementation would be prefered. I didn't really think of anything else.

I guess I could use the host utility to query the test server. Or if I can change the default dns server, I could use hostent:addr-list that I have just found in the manual. That would be better I think.

I'll try these methods.

Le 16 août 2017 11:09:03 GMT+02:00, Ricardo Wurmus <[email-masked]> a écrit :
>
>Hi Julien,
>
>> This patch aims at adding a system test for knot. I've implemented
>the
>> DNS protocol to be able to communicate with the server and try some
>> queries. Unfortunately, although the server seems to be launched (the
>> first test passes), it then refuses to answer. Do you see anything
>> wrong, or anything I could do to understand why it doesn't pass?
>
>It looks like overkill to implement DNS queries with bytevectors from
>the ground up.  Is there not an easier way to make a DNS test?
>
>-- 
>Ricardo
>
>GPG: BCA6 89B6 3655 3801 C3C6  2150 197A 5888 235F ACAC
>https://elephly.net

-- 
Envoyé de mon appareil Android avec Courriel K-9 Mail. Veuillez excuser ma brièveté.